package com.diagbot.client.hystrix;


import com.diagbot.client.QcServiceClient;
import com.diagbot.dto.OutputInfo;
import com.diagbot.dto.Response;
import com.diagbot.vo.QueryVo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.net.URI;

/**
 * @description: 病历质控远程调用熔断器
 * @author: zhoutg
 * @date: 2020/4/13 18:23
 */
@Component
@Slf4j
public class QcServiceHystrix implements QcServiceClient {

    @Override
    public Response<OutputInfo> extract(URI uri, QueryVo queryVo) {
        log.error("【hystrix】调用{}异常", "extract");
        return null;
    }
    @Override
    public Response<OutputInfo> analyseField(URI uri, QueryVo queryVo){
        log.error("【hystrix】调用{}异常", "analyseField");
        return null;
    }
}
